MentaTutorials

Compare Revisions

Ignore whitespace Rev 57 → Rev 58

/MentaRefApp/trunk/pom.xml
45,20 → 45,20
<dependency>
<groupId>me.soliveirajr</groupId>
<artifactId>mentawai</artifactId>
<version>2.5.4-SNAPSHOT</version>
<version>2.5.4</version>
</dependency>
 
</dependencies>
 
<build>
<plugins>
 
 
<plugin>
<groupId>org.mortbay.jetty</groupId>
<artifactId>jetty-maven-plugin</artifactId>
<version>7.1.0.v20100505</version>
<configuration>
<configuration>
<webApp>${basedir}/target/${project.artifactId}.war</webApp>
<webAppConfig>
<contextPath>/${project.artifactId}</contextPath>
68,10 → 68,10
<connector implementation="org.eclipse.jetty.server.bio.SocketConnector">
<port>8080</port>
</connector>
</connectors>
</connectors>
</configuration>
</plugin>
</plugin>
 
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-compiler-plugin</artifactId>
158,10 → 158,10
<artifactId>maven-compiler-plugin</artifactId>
<version>2.0.2</version>
<configuration>
<!-- javaee6 contains upgrades of APIs contained within the JDK itself.
As such these need to be placed on the bootclasspath, rather than classpath
of the compiler. If you don't make use of these new updated API, you can
delete the profile. On non-SUN jdk, you will need to create a similar profile
<!-- javaee6 contains upgrades of APIs contained within the JDK itself.
As such these need to be placed on the bootclasspath, rather than classpath
of the compiler. If you don't make use of these new updated API, you can
delete the profile. On non-SUN jdk, you will need to create a similar profile
for your jdk, with the similar property as sun.boot.class.path in Sun's JDK. -->
<compilerArguments>
<bootclasspath>${settings.localRepository}/javax/javaee-endorsed-api/6.0/javaee-endorsed-api-6.0.jar${path.separator}${sun.boot.class.path}</bootclasspath>